descendant_of {git2r} | R Documentation

## Descendant

### Description

Determine if a commit is the descendant of another commit

### Usage

    descendant_of(commit = NULL, ancestor = NULL)

### Arguments

`commit` | a git_commit object.
`ancestor` | a git_commit object to check if ancestor to `commit`.

### Value

TRUE if `commit` is descendant of `ancestor`, else FALSE

### Examples

    ## Not run:
    ## Create a directory in tempdir
    path <- tempfile(pattern="git2r-")
    dir.create(path)

    ## Initialize a repository
    repo <- init(path)
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file, add and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               con = file.path(path, "test.txt"))
    add(repo, "test.txt")
    commit_1 <- commit(repo, "Commit message 1")

    # Change file and commit
    writeLines(c("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
                 "eiusmod tempor incididunt ut labore et dolore magna aliqua."),
                 con = file.path(path, "test.txt"))
    add(repo, "test.txt")
    commit_2 <- commit(repo, "Commit message 2")

    descendant_of(commit_1, commit_2)
    descendant_of(commit_2, commit_1)

    ## End(Not run)

[Package git2r version 0.23.0 Index]